/**
 *
 */
public class RightPanel extends JPanel {

  /**
   *
   */
  public RightPanel() {
    this.setPreferredSize(new Dimension(310, 250));
    this.setBackground(bgDarkGray);

    // add play button
    pb = new PlayButton();
    this.add(pb.b);

    // add upload button
    JButton burnBtn = new Util().makeButton("blinkm_butn_upload_on.gif", 
                                            "blinkm_butn_upload_hov.gif",
                                            "Upload to BlinkM", bgDarkGray);
    // action listener for burn button
    burnBtn.addActionListener(new ActionListener() {
        public void actionPerformed(ActionEvent ae) {
          new BurnDialog(mf);
        }
      });
    this.add(burnBtn);

    // add separator
    ImageIcon connImg = new Util().createImageIcon("blinkm_separator_horiz_larg.gif", "separator horizontal");
    this.add(new JLabel(connImg));

    // add connect button
    JButton connectBtn = new Util().makeButton("blinkm_butn_settings_on.gif", 
                                               "blinkm_butn_settings_hov.gif", 
                                               "Set connection settings", 
                                               bgDarkGray);
    // action listener for connect button
    connectBtn.addActionListener(new ActionListener() {
        public void actionPerformed(ActionEvent ae) {
          new ConnectDialog(mf);
        }
      });
    this.add(connectBtn);

  }
}
